curl --request GET \
--url 'https://api.novita.ai/openapi/v1/billing/monthly/bill?startMonth=2025-10&page=1&pageSize=20' \
--header 'Authorization: Bearer <API_KEY>'
{
"data": [
{
"billId": "<string>",
"userId": "<string>",
"billingMonth": "2025-12",
"totalAmount": "1000000",
"originTotalAmount": "1200000",
"voucherPayAmount": "200000",
"cashPayAmount": "800000",
"debtAmount": "0",
"status": "paid",
"invoiceUrl": "",
"startTime": "1764547200",
"endTime": "1767225599",
"repaidAmount": "0"
}
]
}
Basic
Query Monthly Bill
GET
/
openapi
/
v1
/
billing
/
monthly
/
bill
curl --request GET \
--url 'https://api.novita.ai/openapi/v1/billing/monthly/bill?startMonth=2025-10&page=1&pageSize=20' \
--header 'Authorization: Bearer <API_KEY>'
{
"data": [
{
"billId": "<string>",
"userId": "<string>",
"billingMonth": "2025-12",
"totalAmount": "1000000",
"originTotalAmount": "1200000",
"voucherPayAmount": "200000",
"cashPayAmount": "800000",
"debtAmount": "0",
"status": "paid",
"invoiceUrl": "",
"startTime": "1764547200",
"endTime": "1767225599",
"repaidAmount": "0"
}
]
}
Request Headers
string
obrigatório
Enum:
application/jsonstring
obrigatório
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
string
Start month, in
YYYY-MM format, for example 2025-10. Monthly bill data is available starting from 2025-10.int32
Page number, starting from
1.int32
Number of items per page.
The current production environment fills months starting from
startMonth, so the returned item count may not strictly equal pageSize.Response Parameters
object[]
obrigatório
Monthly bill list.
Ocultar properties
Ocultar properties
string
obrigatório
Monthly bill ID.
string
obrigatório
User account ID.
string
obrigatório
Billing month, in
YYYY-MM format.string
obrigatório
Total amount payable, unit is 1/10000 USD.
string
obrigatório
Original total amount before discounts or deductions, unit is 1/10000 USD.
string
obrigatório
Amount paid by vouchers, unit is 1/10000 USD.
string
obrigatório
Amount paid in cash, unit is 1/10000 USD.
string
obrigatório
Overdue amount, unit is 1/10000 USD.
string
obrigatório
Repaid amount, unit is 1/10000 USD.
string
obrigatório
Monthly bill status. Possible values:
pendingoutedpaidoverduevoided
string
obrigatório
Bill or invoice download URL. Empty string means no downloadable file is available.
string
obrigatório
Billing period start time, Unix timestamp in seconds.
string
obrigatório
Billing period end time, Unix timestamp in seconds.
curl --request GET \
--url 'https://api.novita.ai/openapi/v1/billing/monthly/bill?startMonth=2025-10&page=1&pageSize=20' \
--header 'Authorization: Bearer <API_KEY>'
{
"data": [
{
"billId": "<string>",
"userId": "<string>",
"billingMonth": "2025-12",
"totalAmount": "1000000",
"originTotalAmount": "1200000",
"voucherPayAmount": "200000",
"cashPayAmount": "800000",
"debtAmount": "0",
"status": "paid",
"invoiceUrl": "",
"startTime": "1764547200",
"endTime": "1767225599",
"repaidAmount": "0"
}
]
}
Última modificação em 10 de agosto de 2026